%define upstream_name    CPAN-Mini
%define upstream_version 1.111010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Create a minimal mirror of CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Compress::Zlib) >= 1.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir) >= 0.570.0
BuildRequires: perl(File::Path) >= 2.40.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::UserAgent) >= 5.0.0
BuildRequires: perl(Pod::Usage) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(URI) >= 1.0.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
CPAN::Mini provides a simple mechanism to build and update a minimal mirror of
the CPAN on your local disk. It comes with a small utility, minicpan(1), to
create and update such mirrors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/CPAN
%{_mandir}/*/*
%{_bindir}/minicpan

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.111.10-2.mga3
+ Revision: 363616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.111.10-1.mga3
+ Revision: 314848
- update to 1.111010

* Wed Aug 29 2012 kharec <kharec> 1.111.9-1.mga3
+ Revision: 285136
- update to 1.111009

* Wed Jan 04 2012 jquelin <jquelin> 1.111.8-1.mga2
+ Revision: 190278
- update to 1.111008

* Wed Jun 15 2011 jquelin <jquelin> 1.111.7-1.mga2
+ Revision: 106487
- update to 1.111007

* Tue Apr 19 2011 jquelin <jquelin> 1.111.3-1.mga1
+ Revision: 88483
- update to 1.111003

* Wed Feb 16 2011 jquelin <jquelin> 1.111.1-1.mga1
+ Revision: 52295
- update to 1.111001

* Sun Jan 23 2011 jquelin <jquelin> 1.100.630-1.mga1
+ Revision: 33602
- mageia rebuild
- imported package perl-CPAN-Mini

